Supported Db2 Database Editions

  1. Enterprise Server Edition
  2. Advanced Enterprise Server Edition
  3. For the supported Db2 versions, Delphix supports the corresponding Db2 Developer edition with Db2 plugin support

Db2 supports only 64-bit OS.

Delphix Support Policies specifically list Major and Minor release coverage. If a minor release is listed as covered, then all patch releases under that minor release are certified.

Red Hat Enterprise Linux (RHEL) 

Support for RHEL 8.x requires installing the libncurses.5 library onto the host. Please reference KBA 5622 for actionable steps.

Red Hat Enterprise Linux (RHEL) 

Db2 plugin support for below mentioned OS and Db2 versions

Supported DBMS Version

10.511.111.5


Supported OS Version
RHEL 6.4SupportedNot SupportedNot Supported
RHEL 6.5SupportedNot SupportedNot Supported
RHEL 6.6SupportedNot SupportedNot Supported
RHEL 6.7SupportedSupportedNot Supported
RHEL 6.8SupportedSupportedNot Supported
RHEL 6.9SupportedSupportedNot Supported
RHEL 7.0SupportedSupportedNot Supported
RHEL 7.1SupportedSupportedNot Supported
RHEL 7.2SupportedSupportedNot Supported
RHEL 7.3SupportedSupportedNot Supported
RHEL 7.4SupportedSupportedNot Supported
RHEL 7.5SupportedSupportedNot Supported
RHEL 7.6SupportedSupportedNot Supported
RHEL 7.7Not SupportedSupportedNot Supported
RHEL 7.8Not SupportedSupportedSupported in 6.0.5+
RHEL 8.2Not SupportedNot SupportedSupported

Advanced Interactive eXecutive (AIX)

Db2 plugin support for below mentioned OS and Db2 versions


Supported DBMS Version

10.511.111.5


 Supported OS Version
AIX 6.1Not SupportedN/AN/A
AIX 7.1SupportedSupported
Supported
AIX 7.2Supported
SupportedNot Supported

Supported Db2 Fix Packs on RHEL and AIX

Delphix does not support different Db2 versions for interdependent datasets at the same time if they are in a parent-child relationship. VDB provision or refresh may fail in the case where the instance containing its parent dataset is on a different Db2 version. Before you upgrade the Db2 version of the instance containing the VDB dataset, ensure that the instance containing the parent dataset is also upgraded to the same version. Refer to the Db2 support matrix.

Db2 11.1 Fix Packs 

Db2 11. Fix Packs Non-HADR Linking

SourceStaging
11.1.1.111.1.2.211.1.3.3
11.1.1.1SupportedSupportedSupported
11.1.2.2Not SupportedSupportedSupported
11.1.3.3

Not Supported

SupportedSupported

Db2 11. Fix Packs HADR Linking

SourceStaging
11.1.1.111.1.2.211.1.3.3
11.1.1.1SupportedSupportedSupported
11.1.2.2Not SupportedSupportedSupported
11.1.3.3

Not Supported

SupportedSupported

Db2 11. Fix Packs Provisioning

StagingTarget
11.1.1.111.1.2.211.1.3.3
11.1.1.1SupportedSupportedSupported
11.1.2.2Not SupportedSupportedSupported
11.1.3.3

Not Supported

SupportedSupported

Db2 10.5 Fix Packs

Db2 10.5 Fix Packs - NON HADR linking

SourceStaging
10.5.0.110.5.0.210.5.0.310.5.0.410.5.0.510.5.0.610.5.0.710.5.0.810.5.0.9
10.5.0.1SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.2SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.3SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.4SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.5SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.6SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.7SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.8SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.9SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported

Db2 10.5 Fix Packs - HADR Linking

SourceStaging
10.5.0.110.5.0.210.5.0.310.5.0.410.5.0.510.5.0.610.5.0.710.5.0.810.5.0.9
10.5.0.1SupportedNot SupportedNot SupportedNot SupportedNot SupportedSupportedSupportedSupportedSupported
10.5.0.2Not SupportedSupportedNot SupportedNot SupportedSupportedSupportedSupportedSupportedSupported
10.5.0.3Not SupportedNot SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.4Not SupportedNot SupportedNot SupportedSupportedNot SupportedSupportedSupportedSupportedSupported
10.5.0.5Not SupportedNot SupportedNot SupportedNot SupportedSupportedNot SupportedSupportedSupportedSupported
10.5.0.6Not SupportedNot SupportedNot SupportedNot SupportedNot SupportedSupportedSupportedSupportedSupported
10.5.0.7Not SupportedNot SupportedNot SupportedNot SupportedNot SupportedNot SupportedSupportedSupportedSupported
10.5.0.8Not SupportedNot SupportedNot SupportedNot SupportedNot SupportedNot SupportedNot SupportedSupportedSupported
10.5.0.9Not SupportedNot SupportedNot SupportedNot SupportedNot SupportedNot SupportedNot SupportedNot SupportedSupported

Db2 10.5 Fick Packs HADR-NON HADR Provision

StagingTarget
10.5.0.110.5.0.210.5.0.310.5.0.410.5.0.510.5.0.610.5.0.710.5.0.810.5.0.9
10.5.0.1SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.2SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.3SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.4SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.5SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.6SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.7SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.8SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported
10.5.0.9SupportedSupportedSupportedSupportedSupportedSupportedSupportedSupportedSupported


Plugin/Delphix Engine Compatibility

Plugins should be installed on compatible Delphix Engines per the table below:

Delphix EngineDb2_2.0.1Db2_2.1.0Db2_2.2.1Db2_2.3.0Db2_2.4.0Db2_2.4.1Db2_2.4.2Db2_2.5.1Db2_2.6.0Db2_2.6.1Db2_2.7.0Db2_2.7.1Db2_2.7.2Db2_2.7.3Db2_3.0.0Db2_3.0.1Db2_3.0.2Db2_3.1.0
6.0.0.xNoYesYesYesYesYesYesYesYesYesYesYesYesYesYesYesYesYes
6.0.1.xNoYesYesYesYesYesYesYesYesYesYesYesYesYesYesYesYesYes
6.0.2.xNoYesYesYesYesYesYesYesYesYesYesYesYesYesYesYesYesYes
6.0.3.xNoYesYesYesYesYesYesYesYesYesYesYesYesYesYesYesYesYes
6.0.4.xNoYesYesYesYesYesYesYesYesYesYesYesYesYesYesYesYesYes
6.0.5.xNoYesYesYesYesYesYesYesYesYesYesYesYesYesYesYesYesYes